package utils

import (
	"golang.org/x/crypto/bcrypt"
)

func Password(password string) (string, error) {
	// 密码加密
	hashedPassword, err := bcrypt.GenerateFromPassword([]byte(password), bcrypt.DefaultCost)
	if err != nil {
		return "", err
	}
	return string(hashedPassword), nil
}
